#!/bin/sh

# Set_Remove.sh
# Chieh Cheng
# 2006-06-20

# Remove all elements with a specific value from a set.

# GNU General Public License (GPL), Version 2, June 1991

scriptname=`echo $0 | sed s/\\\\/.*\\\\///g`

if [ $# -ne 2 ]
then
  echo "  Usage:   $scriptname \"name\" \"value\""
  echo
  echo "           name - Name of the set."
  echo "           value - String value to remove from the set."
  exit
fi

name="$1"
value="$2"

result=`Set_Exists.sh "${name}"`
if [ "${result}" = "true" ]
then
  tempFile=/tmp/Set_Remove_Temp_File.txt
  file=`Set_GetFileName.sh "${name}"`
  cat "${file}" | grep -v "^${value}\$" > "${tempFile}"
  mv "${tempFile}" "${file}"
else
  echo "${scriptname}: Set ${name} does not exist!"
fi
